--fog-of-war value="explored"
--disable AI
print("----------------- BattleGlest v. 0003-001 -----------------")


if string.gsub(_VERSION, "Lua ", "") < "5.1" then
	addConsoleLangText("LuaUpdateNeeded",_Version,"Lua 5.1")
end
print("-------------");
local i = 0
while i < 7 do
	disableAi(i)
	disableConsume(i)
	i = i + 1
end

dofile(getSystemMacroValue("$SCENARIO_PATH").."hero_selector.lua")
--dofile(getSystemMacroValue("$SCENARIO_PATH").."load_lanes.lua")

unit:create("view", 0, hersosel)
unit:create("view", 4, hersosel)


giveResource("gold", 1, 1200)
giveResource("gold", 2, 200)
giveResource("gold", 5, 200)
giveResource("gold", 6, 200)

-- unit:create("view", 0, {445,240})
-- unit:create("view", 4, {445,240})
--unit:create("view", 0, {486,240})
--unit:create("view", 4, {486,240})





--togglePauseGame(0)
--displayFormattedText ("%s seconds until creeps spawn.",90)--test


